> For the complete documentation index, see [llms.txt](https://docs.connectedyou.io/knowledge-base/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.connectedyou.io/knowledge-base/connectedyou-platform/api-docs/apis-reference/webhooks/network-events.md).

# Network events

Location Update events if received from the network providers will be pushed to the configured endpoint in below format.

```
{
  "account_name": "ABC",
  "account_no": 123456789,
  "eid": "12345611014230000000000000123456",
  "event_code": "VOICE",
  "event_datetime": "2024-01-06T13:38:24.000000Z",
  "event_status": "ACCEPTED",
  "event_status_code": "SO",
  "event_status_reason": "SMS service is allowed for the specific network.",
  "event_type": "LOCATION_UPDATE",
  "iccid": "1234500000003012345",
  "mcc": "238",
  "mnc": "06",
  "rule_details": {
    "name": "NE Test",
    "event": "Network Events",
    "category": "Create stream",
    "parameters": null
  }
}
```

| Item                  | Description                                                                                                                                                                                                                                       |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| account\_name         | Account name                                                                                                                                                                                                                                      |
| account\_no           | Account number                                                                                                                                                                                                                                    |
| eid                   | EID of the physical eSIM                                                                                                                                                                                                                          |
| event\_code           | <ul><li>VOICE: A network authentication event</li><li>GPRS: Data service authentication event</li></ul>                                                                                                                                           |
| event\_datetime       | Time stamp in UTC                                                                                                                                                                                                                                 |
| event\_status         | <ul><li>ACCEPTED: Authentication request accepted by the network</li><li>REJECTED: Authentication request rejected by the network</li></ul>                                                                                                       |
| event\_status\_code   | If available from the network provider. Identifies type of service authentication. See [here](https://docs.connectedyou.io/knowledge-base/v/connectedyou-platform/user-guide/network-activity/diagnostics/network-event-status) for more details. |
| event\_status\_reason | Reason description                                                                                                                                                                                                                                |
| event\_type           | <ul><li>LOCATION\_UPDATE: Location update events including first network attach event.</li></ul>                                                                                                                                                  |
| iccid                 | ICCID of the SIM Profile                                                                                                                                                                                                                          |
| mcc                   | Mobile Country Code                                                                                                                                                                                                                               |
| mnc                   | Mobile Network Code                                                                                                                                                                                                                               |
| rule\_details         | Details of the rule that is enabled to create the notifications via webhook                                                                                                                                                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.connectedyou.io/knowledge-base/connectedyou-platform/api-docs/apis-reference/webhooks/network-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
